Page MenuHomePhabricator

Create HiDPI logos for Russian Wikisource
Closed, ResolvedPublic

Description

The Russian Wikisource logo looks blurry on high-resolution devices. We need to add 1,5x and 2x versions of the logo in order to make visiting the site more comfortable for users.

SVG version of logo: https://commons.wikimedia.org/wiki/File:Wikisource-logo-ru2.svg

Event Timeline

putnik created this task.Sep 1 2018, 11:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2018, 11:47 PM

Change 457081 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Add high-density logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457081

tomasz triaged this task as Low priority.Sep 2 2018, 7:42 AM

Change 457418 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Add high-density logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457418

Change 457081 merged by jenkins-bot:
[operations/mediawiki-config@master] Add high-density logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457081

Mentioned in SAL (#wikimedia-operations) [2018-09-03T11:23:41Z] <zfilipin@deploy1001> Synchronized static/images/project-logos: SWAT: [[gerrit:457081|Add high-density logos for the Russian Wikisource (T203343)]] (duration: 00m 50s)

Change 457418 merged by jenkins-bot:
[operations/mediawiki-config@master] Add high-density logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457418

Mentioned in SAL (#wikimedia-operations) [2018-09-03T11:34:05Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:457418|Add high-density logos for the Russian Wikisource (T203343)]] (duration: 00m 50s)

Change 457455 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Update logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457455

Change 457455 merged by jenkins-bot:
[operations/mediawiki-config@master] Update logos for the Russian Wikisource

https://gerrit.wikimedia.org/r/457455

Mentioned in SAL (#wikimedia-operations) [2018-09-04T11:10:14Z] <hashar@deploy1001> Synchronized static/images/project-logos: Update logos for the Russian Wikisource - T203343 (duration: 00m 49s)

hashar added a subscriber: hashar.Sep 4 2018, 11:12 AM

I have purged the logos:

hashar@deploy1001:/srv/mediawiki-staging$ echo 'https://ru.wikisource.org/static/images/project-logos/ruwikisource.png' | mwscript purgeList.php
Purging 1 urls
Done!
hashar@deploy1001:/srv/mediawiki-staging$ echo 'https://ru.wikisource.org/static/images/project-logos/ruwikisource-2x.png' | mwscript purgeList.php
Purging 1 urls
Done!
hashar@deploy1001:/srv/mediawiki-staging$ echo 'https://ru.wikisource.org/static/images/project-logos/ruwikisource-1.5x.png' | mwscript purgeList.php
Purging 1 urls
Done!
tomasz closed this task as Resolved.Sep 4 2018, 9:43 PM

Many thanks for taking care of this, @hashar. I can confirm the new logo looks great now, so I'm closing this request as resolved.